TechDraw Balloon/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[TechDraw_LinkDimension/ru|Связать размер с 3D геометрией]]
|[[TechDraw_LinkDimension/ru|Связать размер с 3D геометрией]]
Line 9: Line 10:
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
}}
}}
</div>


{{GuiCommand/ru
{{GuiCommand/ru
Line 19: Line 21:
}}
}}


<span id="Description"></span>
==Описание==
==Описание==


Line 25: Line 28:
[[Image:Techdraw_balloon.png|600px]]
[[Image:Techdraw_balloon.png|600px]]


<span id="Usage"></span>
==Применение==
==Применение==


Line 52: Line 56:
[[File:balloon_separator.png|300px]]
[[File:balloon_separator.png|300px]]


<span id="Properties"></span>
==Свойства==
==Свойства==


Line 77: Line 82:
* {{PropertyView|Line Width}}: Balloon line width
* {{PropertyView|Line Width}}: Balloon line width


<span id="Scripting"></span>
==Программирование==
==Программирование==


Line 89: Line 95:




<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[TechDraw_LinkDimension/ru|Связать размер с 3D геометрией]]
|[[TechDraw_LinkDimension/ru|Связать размер с 3D геометрией]]
Line 97: Line 104:
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
}}
}}
</div>


{{TechDraw Tools navi{{#translation:}}}}
{{TechDraw Tools navi{{#translation:}}}}

Revision as of 09:50, 13 February 2023

Other languages:

Вставить примечание в выноску

Системное название
TechDraw_Balloon
Расположение в меню
TechDraw → Заметки → Вставить примечание в выноску
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Вставить заметку

Описание

The Balloon tool can add balloons with leader line in a drawing.

Применение

  1. Select one of the following:
  2. There are several ways to invoke the tool:
    • Press the TechDraw Balloon button.
    • Select the TechDraw → Annotations → Insert Balloon Annotation option from the menu.
  3. If a View or a region was selected:
    1. The cursor changes to a balloon icon.
    2. Click a point on the page for the origin of the Balloon.

To move the bubble of a Balloon, press and hold the left mouse button on its center and drag the mouse.

To change the properties of a Balloon double-click it on the page or in the Tree view. This will open the Balloon task panel.

Note: The position of a Balloon is relative to its Source View and uses the same scale factor.

Using separators

When using a rectangle shape, separators can be added using "|" in the text. For example "AAA|TEST|111" gives:

Свойства

Data

  • ДанныеText: Text to be displayed.
  • ДанныеSource View: Source View for the balloon.
  • ДанныеOrigin X: Balloon origin x-position relative to the View.
  • ДанныеOrigin Y: Balloon origin y-position relative to the View.
  • ДанныеEnd Type: End symbol for the balloon line. Options: None, Filled Arrow, Open Arrow, Tick, Dot, Open Circle, Fork, Filled Triangle
  • ДанныеEnd Type Scale: Scale factor for the End Type.
  • ДанныеBubble Shape: Shape of the balloon bubble. Options: Circular, None, Triangle, Inspection, Hexagon, Square, Rectangle
  • ДанныеShape Scale: Scale factor for the Shape.
  • ДанныеText Wrap: Text wrap length; -1 means the text will never be wrapped and the result is in every case a single line.
  • ДанныеKink Length: Distance from the Shape to the leader line kink.
  • ДанныеX: Horizontal position of the balloon bubble relative to the View.
  • ДанныеY: Vertical position of the balloon bubble relative to the View.

View

  • ВидColor: Color of the balloon text.
  • ВидFont: The name of the font to use for the balloon bubble.
  • ВидFontsize: Dimension text size in mm.
  • ВидLine Visible: Whether the balloon line is visible.
  • ВидLine Width: Balloon line width

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Balloon tool can be used in macros and from the Python console by using the following functions:

bal1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewBalloon','Balloon')
rc = page.addView(bal1)